/*
 *  Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 *  Copyright (C) 2010-2010 - DIGITEO - Bruno JOFRET
 * 
 *  This file must be used under the terms of the CeCILL.
 *  This source file is licensed as described in the file COPYING, which
 *  you should have received as part of this distribution.  The terms
 *  are also available at
 *  http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 * 
 */

#include "Metanet.hxx"

extern "C" {
#include "callmetanet.h"
#include "getScilabJavaVM.h"
}

/*--------------------------------------------------------------------------*/
using namespace org_scilab_modules_metanet;
/*--------------------------------------------------------------------------*/
int callMetanet(char **_filenames, int _nbfiles)
{
  if ( (_filenames) && (_nbfiles > 0) )
    {
      int i = 0;
      for (i = 0; i < _nbfiles; i++)
	{
	  // FIXME : Add this implementation.
	  Metanet::metanet(getScilabJavaVM(), _filenames[i]);
	}
    }
  else
    {
      Metanet::metanet(getScilabJavaVM());
    }
  return 0;
}
