// ====================================================================
// Allan CORNET - DIGITEO - 2012
// ====================================================================
function builder_c()
  files_src_c = ['files.c',
                 'paths.c',
                 'connex.c',
                 'hashtable_metanet.c',
                 'saveg.c',
                 'dmtree.c',
                 'loadg.c',
                 'transc.c'];

  if getos() == "Windows" then
    files_src_c = [files_src_c; 'DllmainMetanet.c'];
  end

  src_c_path = get_absolute_file_path('builder_c.sce');
  CFLAGS = "-I" + src_c_path;

  if getos() <> "Windows" then
    CFLAGS = CFLAGS + " -I" + SCI + "/libs/hashtable";
  end

  tbx_build_src('metanet_c', files_src_c, 'c', ..
                 src_c_path, src_c_path +'../fortran/libmetanet_f', ..
                 '', CFLAGS);
endfunction
// ====================================================================
builder_c();
clear builder_c;
// ====================================================================
